<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use OwenIt\Auditing\Contracts\Auditable;

class Employee extends Model implements Auditable
{
	use \OwenIt\Auditing\Auditable;
	use SoftDeletes;

	protected $guarded = [
        'id',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

	/*
    protected $casts = [
        'jobs' => 'array',
    ];
	*/

    public function station()
    {
        return $this->belongsTo('App\Station');
    }

    public function getAllJobsAttribute()
    {
        $primary = $this->job;

        if (empty($this->jobs)) {
            return [$primary];
        }

        $jobs = $this->jobs;

        if ( ! is_array($jobs)) { // not encoding on server.
            $jobs = json_decode($this->jobs, true);
        }
        array_unshift($jobs, $primary);
        return $jobs;
    }
}
