<?php 

namespace App\Filters\Schedule;

use App\Filters\FilterAbstract;
use Illuminate\Database\Eloquent\Builder;

class StatusFilter extends FilterAbstract
{
    public function filter(Builder $builder, $value)
    {
        if ($value == 'todo') {
            return $builder->has('todo');
        } elseif ($value == 'ready') {
            return $builder->where('date', '<', date('Y-m-d', strtotime('+180 days')))
                ->where('date', '>=', date('Y-m-d'));
        } else {
            $threshold = [
                'overdue' => ['<', date('Y-m-d', strtotime('-1 days'))],
                'never' => ['=', '2010-10-10']
            ];
            return $builder->where('date', $threshold[$value][0], $threshold[$value][1]);
        }
    }
}
