<?php 

namespace App\Filters\ServiceLog;

use App\Filters\FilterAbstract;
use Illuminate\Database\Eloquent\Builder;

class IdentifierFilter extends FilterAbstract
{
    public function filter(Builder $builder, $value)
    {
        $values = explode(' ', $value);

    	// search replacded barcodes too
    	$histories = \App\Fleet::with('getActive')
    		->with('getReplaced')
    		->where('airline_id', 136)
	    	->whereIn('tail_number', $values)
	    	->withTrashed()
	    	->get();

	    //dd($histories);

    	if ($histories !== null) {
    		foreach($histories as $item) {
    			
    			// get replacements for active units
    			if (isset($item->getActive->replacedFleet->tail_number)) {
    				$replaced[] = $item->getActive->replacedFleet->tail_number;
    			}
    			// get active units for replacements
    			if (isset($item->getReplaced->activeFleet->tail_number)) {
    				$active[] = $item->getReplaced->activeFleet->tail_number;
    			}
    		}
			if (isset($active)) {
		    	$values = array_merge($values, $active);
		    }
	    	if (isset($replaced)) {
	    		$values = array_merge($values, $replaced);
	    	}
    	}

        return $builder->whereHas('fleet', function ($query) use ($values) {
            $query->whereIn('tail_number', $values);
        });
    }

    /*
    if ($histories !== null) {
    		foreach($histories as $item) {
    			if (isset($item->barcodeHistory->active_fleet_id)) {
    				$activeIds[] = $item->barcodeHistory->active_fleet_id;
    			}
    			if ($item->barcode) {
    				$inactiveIds = \App\BarcodeHistory::with('fleet')->where('active_fleet_id', $item->barcode->id)->get();
    				foreach($inactiveIds as $inactiveItem) {
		    			$inactive[] = $inactiveItem->fleet->tail_number;
		    		}
    			}
    		}

    		if (isset($activeIds)) {
	    		$activeFleet = \App\Barcode::with('fleet')->whereIn('id', $activeIds)->get();
	    		foreach($activeFleet as $item) {
	    			$active[] = $item->fleet->tail_number;
	    		}

		    	if (isset($active)) {
		    		$values = array_merge($values, $active);
		    	}
		    }
		    
	    	if (isset($inactive)) {
	    		$values = array_merge($values, $inactive);
	    	}
    	}

    	*/
}
