<?php

namespace App\Filters\ServiceLog;

use App\Filters\FiltersAbstract;
use App\Filters\ServiceLog\AircraftTypesFilter;
use App\Filters\ServiceLog\DateRangeFilter;
use App\Filters\ServiceLog\IdentifierFilter;
use App\Filters\ServiceLog\TaskFilter;
use App\Filters\ServiceLog\TerminalFilter;
use App\Filters\ServiceLog\AdHocFilter;

class ServiceLogFilters extends FiltersAbstract
{
    protected $filters = [
        'tasks' => TaskFilter::class,
        'date_range' => DateRangeFilter::class,
        'aircraft_types' => AircraftTypesFilter::class,
        'units' => IdentifierFilter::class,
        'terminal' => TerminalFilter::class,
        'adhoc' => AdHocFilter::class,
    ];
}
