<?php

namespace App;

use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Model;

class Fleet extends Model
{
    use SoftDeletes;

    protected $table = 'fleet';

    public function aircraftType()
    {
        return $this->belongsTo('App\AircraftType');
    }

    public function gate()
    {
        return $this->belongsTo('App\Gate');
    }

    public function airline()
    {
        return $this->belongsTo('App\Airline');
    }

    public function barcode()
    {
        return $this->hasOne('App\Barcode', 'fleet_id', 'id')->withTrashed();
    }

    public function barcodeHistory()
    {
        return $this->hasOne('App\BarcodeHistory', 'replaced_fleet_id', 'id');
    }

    public function getReplaced() //replacedHistory
    {
        return $this->hasOne('App\BarcodeHistory', 'active_fleet_id', 'id');
    }

    public function getActive() //activeHistory
    {
        return $this->hasOne('App\BarcodeHistory', 'replaced_fleet_id', 'id');
    }
}
