<?php

namespace App\Http\Controllers\Api;

use App\Geo;

use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Http\Requests\StoreGeoRequest;
use App\Http\Controllers\Controller;

class GeoController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(StoreGeoRequest $request)
    {
        $geo = new Geo;
        $geo->latitude = $request->latitude;
        $geo->longitude = $request->longitude;
        $geo->accuracy = $request->accuracy;
        $geo->service_log_id = $request->service_log_id;
        $geo->user_id = Auth::user()->id;

        $geo->save();

        return response()->json(['data' => ['id' => $geo->id]], 200);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        Geo::findOrFail($id)->delete();
    }
}
