<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\ServiceLog;
use Illuminate\Http\Request;

class MediaController extends Controller
{
    public function grouped(Request $request, $id)
    {
        $serviceLog = ServiceLog::findOrFail($id);

        if (null !== $request->input('groups')) {
            foreach($request->input('groups') as $grouping) {
                $media[$grouping] = $this->urls(
                    $serviceLog->getMedia($serviceLog->serviceType->uri, ['grouping' => $grouping])
                );
                info('Get Videos: ', ['videos' => $media[$grouping]]);
            }
        } else {
            $media = $this->urls($serviceLog->getMedia($serviceLog->serviceType->uri));
        }

        //print_r($photos->first()->getPath());

        //echo '<img src="'.$serviceLog->getFirstMediaUrl('videos', 'thumb').'" />';

        return response()->json($media, 200);
    }

    public function urls($media)
    {
        $urls = [];
        foreach($media as $item) {
            $urls[] = [
                'full' => $item->getUrl(),
                'thumb' => $item->getUrl('thumb'),
            ];
        }
        return $urls;
    }

}
