<?php

namespace App\Http\Controllers\Api;

use App\ServiceLog;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Http\Requests\StoreTerminalRequest;
use App\Transformers\ServiceLogTransformer;
use App\Transformers\TrainingLogTransformer;

class TerminalController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //$response = ServiceLog::exteriorWash()->paginate(15);
        //$response = ServiceLog::first()->serviceType();
        $response = ServiceLog::paginate(15);
        
        return response()->json($response, 200);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(StoreTerminalRequest $request)
    {
        return ServiceLog::create(self::addData($request->toArray()));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $response = ServiceLog::findOrFail($id);

        if (!empty($response->reference_table)) {
            $fractal = fractal($response, new TrainingLogTransformer)
                ->toArray();
        } else {
            $fractal = fractal($response, new ServiceLogTransformer)
                ->toArray();
        }
        return response()->json($fractal, 200);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function addData($data)
    {
        return array_merge($data, [
            'reference_table' => 'barcodes',
        ]);
    }
}
