<?php

namespace App\Http\Controllers\Api;

use App\User;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Transformers\UserTransformer;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $response = User::findOrFail($id);

        $fractal = fractal($response, new UserTransformer)
            ->toArray();

        return response()->json($fractal, 200);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    /**
     * True if user exists.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function exists($id)
    {
        $response = User::find($id);

        if ($response !== null) {
            return response()->json(['data' => ['exists' => true]], 200);
        } else {
            return response(null, 404);
        }
    }

    public function token($id)
    {
        //$user = User::find(6);
        $user = User::where('legacy_id', $id)->first();

        if ($user !== null) {
            $token = $user->createToken('irod-v2')->accessToken;
            return response()->json(['data' => ['token' => $token]], 200);
        } else {
            return response(null, 404);
        }
    }
}
