<?php

namespace App\Http\Controllers;

use App\Photo;
use Illuminate\Support\Facades\Storage;

class MigrateMaintenanceController extends Controller
{
    public function index()
    {
        $existing = Photo::query()
            ->where('model', '=', 'maintenance')
            ->get()
            ->pluck('service_log_id')
            ->toArray();

        $directories = Storage::disk('s3')->allDirectories('/maintenance');

        foreach($directories as $directory) {
            $id = str_replace('maintenance/', '', $directory);

            if ( ! in_array($id, $existing) && $id !== 'undefined') {
                $files = Storage::disk('s3')->allFiles('/maintenance/' . $id);

                $photo = new Photo;
                $photo->service_log_id = $id;
                $photo->photos = json_encode($files);
                $photo->type = null;
                $photo->order = 0;
                $photo->filesystem = 's3';
                $photo->model = 'maintenance';

                $photo->save();
            }
        }
    }
}
