<?php

namespace App\Http\Controllers;

use App\Schedule;
use App\ServiceType;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Transformers\ScheduleTransformer;
use League\Fractal\Pagination\IlluminatePaginatorAdapter;
use Illuminate\Support\Facades\Auth;

class ScheduleController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)//, $by, $id
    {
        $schedules = Schedule::withFleet($request)
            ->filter($request)
            ->order($request)
            ->paginate(15);
        $schedulesCollection = $schedules->getCollection();
        print_r($schedulesCollection);
        /*
        return fractal()
            ->collection($schedulesCollection)
            ->transformWith(new ScheduleTransformer)
            ->paginateWith(new IlluminatePaginatorAdapter($schedules))
            ->toArray();
        */
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    
    public function asCsv(Request $request)
    {
        $schedules = Schedule::withFleet($request)
            ->filter($request)
            ->order($request)
            ->get();

        header('Content-Disposition: attachment; filename="terminal-schedules.csv"');
        header("Cache-control: private");
        header("Content-type: application/force-download");
        header("Content-transfer-encoding: binary\n");

        echo "Scheduled,Barcode,Type,Task\n";
        foreach ($schedules as $schedule) {
            echo $schedule->date . ',';
            echo $schedule->fleet->tail_number . ',';
            echo $schedule->aircraft . ',';
            echo $schedule->task->title . "\n";
        }
    }
}
