<?php

namespace App\Http\Controllers\Services;

use App\Checklist;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class CloseChecklistService extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return void
     */
    public function __invoke(Request $request): void
    {
        $incomplete = Checklist::query()
            ->where('checklists.entry_date', '<', now()->subHours(10))
            ->where('checklists.parent_id', 0)
            ->where('checklists.status', 0)
            ->where('checklists.type', 'pre')
            ->get();

        foreach($incomplete as $service) {
            $service->note = 'Auto Deleted';
            $service->deleted = 3;
            $service->save();
        }
        echo 'done';
        return;
    }
}
