<?php

namespace App\Http\Controllers\Services;

use App\Http\Controllers\Controller;
use App\ServiceLog;
use Illuminate\Database\Query\Builder;
use Illuminate\Http\Request;

class CloseEventsService extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return void
     */
    public function __invoke(Request $request): void
    {
        $incomplete = ServiceLog::query()
            ->where(function($query){
                $query->where('service_logs.stop', '0000-00-00 00:00:00')
                    ->orWhereNull('service_logs.stop');
            })
            ->where('service_logs.task_id', '>', 0)
            ->where('service_logs.deleted', 0)
            ->whereNotIn('service_logs.service_type_id', [6, 8, 10, 12])
            ->where('service_logs.created_at', '<', now()->subHours(10))
            ->get();

        //dump($incomplete);

        foreach($incomplete as $service) {
            $service->note = 'Auto Deleted';
            $service->deleted = 3;

            //dump($service);

            //echo '<p>'. $service->service_type_id .' '. $service->start .' '. $service->stop .'</p>';

            $service->save();
        }
        return;
    }
}
