<?php

namespace App\Http\Controllers\Services;

use App\Http\Controllers\Controller;
use App\ServiceLog;
use Illuminate\Http\Request;

class UploadMediaService extends Controller
{
    /**
     * Handle the incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return void
     */
    public function __invoke(Request $request)
    {
        info('hit on upload/media', $request->toArray());

        $files = $request->input('files');
        $file = $request->input('uploaded_file');
        
        $serviceLog = ServiceLog::find($request->input('service_log_id'));
        
        if ($files['file']['type'] == 'video/quicktime') {
            $serviceLog->addMedia($file)
                ->usingName(pathinfo($file, PATHINFO_FILENAME))
                ->usingFileName(pathinfo($file, PATHINFO_BASENAME))
                ->withCustomProperties(['grouping' => $request->input('grouping')])
                ->toMediaCollection('original-video');
        
            return;
        } else {
        
            info('This should be an photo');
        
            $serviceLog->addMedia($file)
                ->usingName(pathinfo($file, PATHINFO_FILENAME))
                ->usingFileName(pathinfo($file, PATHINFO_BASENAME))
                ->withCustomProperties(['grouping' => $request->input('grouping')])
                ->toMediaCollection($serviceLog->serviceType->uri);
        
            return;
        }
    }
}
