<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class RegisterBarcodeRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'barcode' => ['required', 'unique:barcodes'],
            'gate_id' => ['required', 'numeric', 'min:1'],
            'aircraft_type_id' => ['required', 'numeric', 'min:1'],
        ];
    }

    public function messages()
    {
        return [
            'barcode.unique' => 'This barcode has already been added.',
            'gate_id.min'  => 'The Gate must be selected.',
            'aircraft_type_id.min'  => 'Pod Type must be selected.',
        ];
    }
}
