<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreBarcodeRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'barcode' => ['required', 'unique:barcodes'],
            'fleet_id' => ['required', 'integer', 'unique:barcodes'],
        ];
    }

    public function messages()
    {
        return [
            'barcode.unique' => 'This barcode has already been added.',
            'fleet_id.unique'  => 'This pod already has a barcode.',
        ];
    }
}
