<?php

namespace App\Http\Requests;

class StoreServiceLogRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'user_id' => ['required', 'integer'],
            'service_type_id' => ['required', 'integer'],
            'station_id' => ['required', 'integer'],
            'airline_id' => ['required', 'integer'],
            'tail_number_id' => ['required', 'integer'],
            'task_id' => ['required', 'integer'],
            'scheduled_date' => ['required', 'date'],
            'gate_id' => ['required', 'integer'],
            'geo_id' => ['integer'],
            'status' => ['integer', 'max:1'],
            'utp_reason' => ['integer', 'max:2'],
            'service_zone' => ['integer', 'max:1'],
            'service_crew_size' => ['integer'],
            'reference_table' => ['string', 'max:128'],
            'reference_id' => ['integer'],
            'start_c' => ['date'],
            'start' => ['date'],
        ];
    }
}
