<?php

namespace App\Imports;

use App\UltiproImport;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;
use Maatwebsite\Excel\Concerns\WithEvents;
use Maatwebsite\Excel\Events\BeforeImport;
use Maatwebsite\Excel\Concerns\WithCustomCsvSettings;

use Carbon\Carbon;

class Ultipro implements ToModel, WithStartRow, WithCustomCsvSettings
{
    public function __construct()
    {
        $this->now = Carbon::now()->toDateTimeString();
    }

    public function startRow(): int
    {
        return 2;
    }

    public function fromFile(string $fileName)
    {
        $this->fileName = $fileName;
        return $this;
    }

    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
        return new UltiproImport([
            'file' => $this->fileName,
            'import_initiated' => $this->now,
            'station' => $row[0],
            'job' => $row[1],
            'job_desc' => $row[2],
            'employee_name' => $row[3],
            'rate' => $row[4],
            'hours' => $row[5],
            'calculated_pay' => $row[6],
            'workdate' => $row[7] === null ? null : Carbon::parse($row[7])->toDateString(),
            'paycode' => $row[8],
            'payident' => $row[9],
            'pay' => $row[10],
            'group' => $row[11],
            'pay_code_express' => $row[12],
            'employee_number' => $row[13],
            'status' => $row[14],
            'hire_date' => Carbon::parse($row[15])->toDateString(),
            'term_date' => $row[16] === null ? null : Carbon::parse($row[16])->toDateString(),
        ]);
    }

    public function getCsvSettings(): array
    {
        return [
            'input_encoding' => 'ISO-8859-1'
        ];
    }
}
