<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class JobMatrix extends Model
{
    protected $table = 'job_matrix';

    protected $guarded = [
        'id',
        'created_at',
        'updated_at',
    ];

    protected static function boot()
    {
        parent::boot();

        // convert varchar/text to json
        static::retrieved(function (Model $model) {
            $model->station_ids = json_decode($model->station_ids);
            $model->classes = json_decode($model->classes);
        });
    }
}
