<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class TasksByJob extends Model
{
	protected $table = 'tasks_by_job';

    protected $guarded = [
        'id',
        'created_at',
        'updated_at',
    ];

    public static function getTasks($type)
    {
        $tasks = \App\Task::get()->pluck('title', 'id'); //where('service_type_id', 8)->
        $data = [];
        $jobTasks = TasksByJob::where('type', $type)->get();
        foreach($jobTasks as $item) {
            foreach($item->task_ids as $task_id) {
                $data[$item->job][$item->station_id][$task_id] = $tasks[$task_id];
            }
        }
        return $data;
    }

    protected static function boot()
    {
        parent::boot();

        // convert varchar/text to json
        static::retrieved(function (Model $model) {
            $model->task_ids = json_decode($model->task_ids);
        });
    }
}
