<?php

namespace App\Transformers;

use App\AircraftType;

class AircraftTypeTransformer extends \League\Fractal\TransformerAbstract
{
    //protected $defaultIncludes = ['airline'];

    public function transform(AircraftType $aircraftType)
    {
        return [
            'id' => $aircraftType->id,
            'title' => $aircraftType->title,
            'seats' => $aircraftType->seats,
            'tails' => $aircraftType->tails,
            'drawigns' => $aircraftType->drawings,
        ];
    }

    public function includeAirline(AircraftType $aircraftType)
    {
        return $this->item($aircraftType->airline, new AirlineTransformer);
    }
}
