<?php

namespace App\Transformers;

use App\Fleet;

class FleetTransformer extends \League\Fractal\TransformerAbstract
{
    //protected $defaultIncludes = ['aircraftType'];

    public function transform(Fleet $fleet)
    {
        if (isset($fleet->barcode->barcode)) {
            $barcode = $fleet->barcode->barcode;
        } else {
            $barcode = null;
        }

        if (isset($fleet->getReplaced->activeFleet)) {
            $replacedFleet = $fleet->getReplaced->activeFleet->tail_number;
        } else {
            $replacedFleet = null;
        }
        if (isset($fleet->getActive->replacedFleet)) {
            $activeFleet = $fleet->getActive->replacedFleet->tail_number;
        } else {
            $activeFleet = null;
        }

        if (isset($fleet->gate)) {
            $gate = $fleet->gate->title;
        } else {
            $gate = null;
        }
        
        return [
            'id' => $fleet->id,
            'tail_number' => $fleet->tail_number,
            'registration' => $fleet->registration,
            'barcode' => $barcode,
            'replacedFleet' => $replacedFleet,
            'activeFleet' => $activeFleet,
            'gate' => $gate,
            'gate_id' => $fleet->gate_id,
            'aircraft_type' => $fleet->aircraftType->title,
            'airline' => $fleet->airline->title,
            'deleted_at' => $fleet->deleted_at,
        ];
    }
}
