<?php

namespace App\Transformers;

use App\ServiceLog;

class ServiceLogCsvTransformer extends \League\Fractal\TransformerAbstract
{
    //protected $defaultIncludes = ['task', 'fleet', 'airline', 'aircraftType', 'gate'];

    public function transform(ServiceLog $serviceLog)
    {
        if (isset($serviceLog->fleet->getReplaced->activeFleet)) {
            $replacedFleet = $serviceLog->fleet->getReplaced->activeFleet->tail_number;
        } else {
            $replacedFleet = null;
        }
        if (isset($serviceLog->fleet->getActive->replacedFleet)) {
            $activeFleet = $serviceLog->fleet->getActive->replacedFleet->tail_number;
        } else {
            $activeFleet = null;
        }

        $transforms = [
            'id' => $serviceLog->id,
            'pod' => $serviceLog->fleet->tail_number,
            'active' => $activeFleet,
            'replaced' => $replacedFleet,
            'type' => $serviceLog->fleet->aircraftType->title,
            'station' => $serviceLog->station->abbr,
            'location' => $serviceLog->gate->title,
            'tasks' => $serviceLog->task->title,
            'start' => $serviceLog->start,
            'stop' => $serviceLog->stop,
            'duration' => gmdate('H:i', $serviceLog->duration),
            'scheduled_date' => $serviceLog->scheduled_date,
            'opened_by' => $this->openedBy($serviceLog),
            'closed_by' => $this->closedBy($serviceLog),
            'note' => $serviceLog->note,
        ];
        
        return $transforms;
    }

    public function openedBy(ServiceLog $serviceLog)
    {
        if (isset($serviceLog->openedBy)) {
            return $serviceLog->openedBy->full_name;
        } else {
            return $serviceLog->userMeta->full_name;
        }
    }

    public function closedBy(ServiceLog $serviceLog)
    {
        if (isset($serviceLog->closedBy)) {
            return $serviceLog->closedBy->full_name;
        }
    }
}
