<?php

namespace App\Transformers;

use App\ServiceLog;

class ServiceLogTableTransformer extends \League\Fractal\TransformerAbstract
{
    //protected $defaultIncludes = ['task', 'fleet', 'airline', 'aircraftType', 'gate'];

    public function transform(ServiceLog $serviceLog)
    {
        $transforms = [
            'id' => $serviceLog->id,
            'aircraft' => '<strong></strong>',
            'location' => $serviceLog->gate->title . '<div><small>' . $serviceLog->station->abbr . '</small></div>',
            'employee' => $serviceLog->userMeta->full_name,
            'station' => $serviceLog->station->title,
            'station_id' => $serviceLog->station_id,
            'start' => $serviceLog->start,
            'stop' => $serviceLog->stop,
            'scheduled_date' => $serviceLog->scheduled_date,
            'note' => $serviceLog->note,
        ];
        
        return $transforms;
    }

    /*
    public function includeTask(ServiceLog $serviceLog)
    {
        return $this->item($serviceLog->task, new TaskTransformer);
    }

    public function includeFleet(ServiceLog $serviceLog)
    {
        return $this->item($serviceLog->fleet, new FleetTransformer);
    }

    public function includeAircraftType(ServiceLog $serviceLog)
    {
        return $this->item($serviceLog->fleet->aircraftType, new AircraftTypeTransformer);
    }

    public function includeGate(ServiceLog $serviceLog)
    {
        if ($serviceLog->fleet->gate !== null) {
            return $this->item($serviceLog->fleet->gate, new GateTransformer);
        }
    }

    public function includeAirline(ServiceLog $serviceLog)
    {
        return $this->item($serviceLog->fleet->aircraftType->airline, new AirlineTransformer);
    }
    */
}
