<?php

namespace App\Transformers;

use App\Schedule;

class TerminalScheduleTransformer extends \League\Fractal\TransformerAbstract
{
    protected $defaultIncludes = ['task', 'fleet', 'airline', 'aircraftType'];

    public function transform(Schedule $schedule)
    {
        $transforms = [
            'id' => $schedule->id,
            'service_type' => $schedule->serviceType->title,
            'service_type_id' => $schedule->service_type_id,
            'date' => $schedule->date,
        ];
        
        return $transforms;
    }
    
    public function includeTask(Schedule $schedule)
    {
        return $this->item($schedule->task, new TaskTransformer);
    }
    
    public function includeFleet(Schedule $schedule)
    {
        return $this->item($schedule->fleet, new FleetTransformer);
    }

    public function includeAircraftType(Schedule $schedule)
    {
        return $this->item($schedule->fleet->aircraftType, new AircraftTypeTransformer);
    }

    public function includeAirline(Schedule $schedule)
    {
        return $this->item($schedule->fleet->aircraftType->airline, new AirlineTransformer);
    }
}
