<?php

namespace App\Transformers;

use App\ServiceLog;

class ThresholdTransformer extends \League\Fractal\TransformerAbstract
{
    public function transform(ServiceLog $serviceLog)
    {
        $threshold = \Carbon\Carbon::parse(date('Y-m-d H:i:s', strtotime($serviceLog->created_at->toDateTimeString() . ' + 3 days')));
        $now = \Carbon\Carbon::now();

        $days = \Carbon\CarbonInterval::days($threshold->diffInDays($now));
        $hours = \Carbon\CarbonInterval::hours($threshold->diffInHours($now));
        $minutes = \Carbon\CarbonInterval::minutes($threshold->diffInMinutes($now));

        $seconds = \Carbon\CarbonInterval::seconds($threshold->diffInSeconds($now));
        
        if ($threshold->timestamp > $now->timestamp) {
            $remaining = floor($seconds->s / 3600) . gmdate(':i', $seconds->s % 3600) . ' remaining';
        } else {
            $status = 'high';
            $remaining = floor($seconds->s / 3600) . gmdate(':i', $seconds->s % 3600) . ' over';
        }

        if ($hours->h < 24 || isset($status)) {
            $status = 'high';
        } elseif ($hours->h < 48) {
            $status = 'medium';
        } elseif ($hours->h > 48) {
            $status = 'low';
        } else {
            $status = '';
        }

        return [
            'remaining' => $remaining,
            'status' => $status,
        ];
    }
}
