<?php

namespace App\Transformers;

use App\ServiceLog;

class TurnaroundTransformer extends \League\Fractal\TransformerAbstract
{
    public function transform(ServiceLog $serviceLog)
    {
        $turnaround = $serviceLog->turnaround; //seconds
        //$created = \Carbon\Carbon::parse($serviceLog->created_at->toDateTimeString());
        //dd($created);

        $now = \Carbon\Carbon::now();
        $days = $now->diffInDays($now->copy()->addSeconds($turnaround));
        $hours = $now->diffInHours($now->copy()->addSeconds($turnaround)->subDays($days));
        $minutes = $now->diffInMinutes($now->copy()->addSeconds($turnaround)->subDays($days)->subHours($hours));

        if ($days> 0) {
            $strTurnaround = $days . ' days ';
        } else {
            $strTurnaround = '';
        }

        $strTurnaround .= $hours . ':' . $minutes;
        
        return [
            'turnaround' => '00' . $strTurnaround
        ];
    }
}
