<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

use Illuminate\Support\Facades\Auth;
use Carbon\Carbon;
use OwenIt\Auditing\Contracts\Auditable;

class UserMeta extends Model implements Auditable
{
    protected $table = 'user_meta';
    public $timestamps = false;
    use \OwenIt\Auditing\Auditable;

    public function legacy()
    {
        return $this->belongsTo('App\UserLegacy', 'user_id', 'id');
    }

    public function active()
    {
        return $this->belongsTo('App\UserLegacy', 'user_id', 'id');
    }

    public function inActive()
    {
        return $this->belongsTo('App\UserLegacy', 'user_id', 'id');
    }

    protected function taskPermissions()
    {
    	$result = UserMeta::select('task_permissions')->where('user_id', Auth::user()->legacy_id)->first();
    	//dd($result);
    	if ($result->task_permissions !== null) {
    		$tasks = json_decode($result->task_permissions, JSON_OBJECT_AS_ARRAY);
    		return array_keys($tasks);
    	}
    }

    public static function boot()
    {
        parent::boot();

        static::retrieved(function (Model $model) {
            $model->reports = json_decode($model->reports);
            $model->stations = json_decode($model->stations);
        });

        self::updating(function ($model) {
            //$model->user_id = auth()->user()->id;
            //$model->uuid = (string) Uuid::generate(4);
            $model->last_import_change = Carbon::now()->toDateTimeString();
        });
    }
}
