<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateBarcodesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        $table->engine = 'InnoDB';
        
        Schema::create('barcodes', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('station_id')->nullable()->index();
            $table->unsignedInteger('fleet_id')->unique()->index();
            $table->string('barcode')->unique()->index();
            $table->timestamps();
            $table->softDeletes();

            $table->foreign('station_id')->references('id')->on('stations')->onDelete('cascade');
            $table->foreign('fleet_id')->references('id')->on('fleet')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('barcodes');
    }
}
