<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFleetGatesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fleet_gates', function (Blueprint $table) {
            $table->unsignedInteger('fleet_id');
            $table->unsignedInteger('gate_id');
            $table->timestamps();

            $table->unique(['fleet_id','gate_id']);
            
            $table->foreign('fleet_id')->references('id')->on('fleet')->onDelete('cascade');
            $table->foreign('gate_id')->references('id')->on('gates')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('fleet_gates');
    }
}
