<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUltiproImportsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('ultipro_imports', function (Blueprint $table) {
            $table->increments('id');
            $table->string('file', 50);
            $table->dateTime('import_initiated');
            $table->string('station', 3);
            $table->string('job', 50);
            $table->string('job_desc', 50)->nullable();
            $table->string('employee_name', 60);
            $table->decimal('rate', 5, 2);
            $table->decimal('hours', 4, 2)->nullable();
            $table->decimal('calculated_pay', 8, 5)->nullable();
            $table->date('workdate')->nullable();
            $table->tinyInteger('paycode')->nullable();
            $table->string('payident', 6)->nullable();
            $table->decimal('pay', 8, 5)->nullable();
            $table->string('group', 12)->nullable();
            $table->string('pay_code_express', 22)->nullable();
            $table->smallInteger('employee_number');
            $table->string('status', 22);
            $table->date('hire_date');
            $table->date('term_date')->nullable();
            $table->timestamps();

            $table->index('file');
            $table->index('station');
            $table->index('job');
            $table->index('paycode');
            $table->index('payident');
            $table->index('group');
            $table->index('employee_number');
            $table->index('status');
            $table->index('hire_date');
            $table->index('term_date');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('ultipro_imports');
    }
}
