<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEmployeeTempTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('employee_temp', function (Blueprint $table) {
            $table->increments('id');
            $table->string('station', 5);
            $table->string('employee_name', 60);
            $table->smallInteger('employee_number');
            $table->string('status', 20);
            $table->date('hire_date');
            $table->string('employment_type', 20);
            $table->string('contract', 20);
            $table->string('salary_type', 20);
            $table->string('job', 50);
            $table->string('supervisor', 60);
            $table->timestamps();

            $table->index('employee_name');
            $table->index('employee_number');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('employee_temp');
    }
}
