<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTasksByJob extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tasks_by_job', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('type', 40);
            $table->integer('station_id')->nullable();
            $table->integer('airline_id')->nullable();
            $table->string('job', 40);
            $table->string('task_ids', 255); //json
            $table->timestamps();

            $table->index(['type', 'station_id', 'job']);
            $table->unique(['type', 'station_id', 'job'], 'tasks_by_job_type_station_id_job_unique');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tasks_by_job');
    }
}
