<div>

    @forelse($taskGroups as $taskGroup)

        @component('components.tile')

            <table class="tile-table">
                <thead>
                    <tr id="task-group-{{ $taskGroup->id }}" class="tile-data-headings">
                        <th class="tile-title"><a href="#" class="click-task-group" data-task-group-id="{{ $taskGroup->id }}">{{ $taskGroup->title }}</a></th>
                        <th class="total compliance-percent">%</th>
                    </tr>
                </thead>
                <tbody>

                @foreach($taskGroup->tasks as $task)

                    @php
                        $total = $compliance['total']->firstWhere('task_id', $task->id)->total ?? 0;
                        $out = $compliance['overdue']->firstWhere('task_id', $task->id)->total ?? 0;
                        $in = $total - $out;
                        if ($total > 0) {
                            $percent = round(100 - ($out/$total*100), 0, PHP_ROUND_HALF_UP);
                        } else {
                            $percent = '-';
                        }
                    @endphp

                    <tr class="tile-data">
                        <th class="tile-items-title"><div class="truncate" title="{{ $taskGroup->title }}: {{ $task->title }}">{{ $task->title }}</div></th>
                        <td class="total" title="in: {{ $in }} | out: {{ $out }} | total: {{ $total }}">{{ $percent }}</td>
                    </tr>

                @endforeach

                </tbody>
            </table>

        @endcomponent

    @empty

        <!-- NA -->

    @endforelse

</div>
