
<h2>Import Stats
@isset($stationAbbrs)
	{{ $stationAbbrs->implode(', ') }}
@endisset
</h2>

<ul>
	<li>File Imported: <a href="{{ $fileUrl }}">{{ $fileName }}</a></li>
	<li>Import Initiated: {{ $initiated }}</li>
	<li>Total rows: {{ $total }}</li>
	<li>Total unique employees: {{ $totalGrouped }}</li>
	<li>New accounts added: {{ count($created) }}</li>
	<li>Updated accounts: {{ count($updated) }}</li>
	<li>Terminated accounts: {{ count($terminated) }}</li>
	<li>Invalid accounts: {{ count($invalid) }}</li>
	<li>Overtime: {{ count($overtime) }}</li>
	<li>MIA: {{ count($mia) }}</li>
</ul>

@if (count($created) > 0)
<h2>New Accounts</h2>
<ul>
	@foreach($created as $account)
		<li><strong>{{ $account->name }}</strong> [{{ $account->number }}] {{ $account->station->abbr }}: {{ $account->job }} ${{ $account->rate }}
			@if(! empty($account->operations_tasks))
				<h4 style="margin:3px 0">Operations</h4>
				<ul>
					@foreach($account->operations_tasks as $task)
						<li>{{ $task }}</li>
					@endforeach
				</ul>
			@endif
			@if(! empty($account->training_tasks))
				<h4 style="margin:3px 0">Training</h4>
				<ul>
					@foreach($account->training_tasks as $task)
						<li>{{ $task }}</li>
					@endforeach
				</ul>
			@endif
		</li>
	@endforeach
</ul>
@endif

@if (count($updated) > 0)
<h2>Updated Accounts</h2>
<ul>
	@foreach($updated as $account)
		<li><strong>{{ $account->name }}</strong> [{{ $account->number }}] {{ $account->station->abbr }}: {{ $account->job }} ${{ $account->rate }}
		@if(! empty($account->operations_tasks))
			<h4 style="margin:3px 0">Operations</h4>
			<ul>
				@foreach($account->operations_tasks as $task)
					<li>{{ $task }}</li>
				@endforeach
			</ul>
		@endif
		@if(! empty($account->training_tasks))
			<h4 style="margin:3px 0">Training</h4>
			<ul>
				@foreach($account->training_tasks as $task)
					<li>{{ $task }}</li>
				@endforeach
			</ul>
		@endif
	</li>
	@endforeach
</ul>
@endif

@if (count($terminated) > 0)
<h2>Terminated Accounts</h2>

<table cellpadding="4">
	<thead>
		<tr>
			<th>Employee</th>
			<th>Number</th>
			<th>Station</th>
			<th>Job</th>
			<th>Termination</th>
		</tr>
	</thead>
	<tbody>
	@foreach($terminated as $item)
		<tr>
			<td>{{ $item->name }}</td>
			<td>{{ substr($item->number, -4) }}</td>
			<td>{{ $item->station->abbr }}</td>
			<td>{{ $item->job }}</td>
			<td>{{ $item->term_date }}</td>
		</tr>
	@endforeach
	</tbody>
</table>
@endif

@if (count($invalid) > 0)
<h2>Invalid Accounts</h2>
<p>Following users did not have a unique employee number. A bogus one has been created.</p>

<table cellpadding="4">
	<thead>
		<tr>
			<th>Employee</th>
			<th>Number</th>
			<th>Station</th>
		</tr>
	</thead>
	<tbody>
	@foreach($invalid as $item)
		<tr>
			<td>{{ $item->name }}</td>
			<td>{{ $item->number }}</td>
			<td>{{ $item->station->abbr }}</td>
		</tr>
	@endforeach
	</tbody>
</table>
@endif

@if (count($overtime) > 0)
<h2>Overtime</h2>
<table cellpadding="4">
	<thead>
		<tr>
			<th>Employee</th>
			<th>Number</th>
			<th>Station</th>
			<th>Job</th>
			<th>Pay Ident.</th>
			<th>Pay Code</th>
			<th>Hours</th>
			<th>Rate</th>
		</tr>
	</thead>
	<tbody>
	@foreach($overtime as $item)
		<tr>
			<td>{{ $item->employee_name }}</td>
			<td>{{ $item->employee_number }}</td>
			<td>{{ $item->station }}</td>
			<td>{{ $item->job }}</td>
			<td>{{ $item->payident }}</td>
			<td>{{ $item->pay_code_express }}</td>
			<td>{{ $item->hours }}</td>
			<td>{{ $item->pay }}</td>
		</tr>
	@endforeach
	</tbody>
</table>
@endif

@if (count($mia) > 0)
<h2>MIA</h2>

<table cellpadding="4">
	<thead>
		<tr>
			<th>Employee</th>
			<th>Number</th>
			<th>Station</th>
			<th>Last Worked</th>
		</tr>
	</thead>
	<tbody>
	@foreach($mia as $item)
		<tr>
			<td>{{ $item['name'] }}</td>
			<td>{{ $item['number'] }}</td>
			<td>{{ $item['abbr'] }}</td>
			<td>{{ $item['lastworked'] }}</td>
		</tr>
	@endforeach
	</tbody>
</table>
@endif
