<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

/*
Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});
*/

/*
Route::get('/fleet/generate', 'Api\FleetController@generate');
Route::get('/fleet/schedule/generate', 'Api\ScheduleController@generate');

*/


//mRoute::get('/servicelog/fix', 'Api\ServiceLogController@fixDates');

Route::get('/close/all/events', 'Services\CloseEventsService');


Route::group(['prefix' => 'fleet', 'middleware' => ['auth:api']], function () {
    Route::get('/airline/{id}', 'Api\FleetController@index');
    Route::get('/{id}', 'Api\FleetController@show');
    Route::put('/{id}', 'Api\FleetController@update');
    Route::put('/undelete/{id}', 'Api\FleetController@undelete');
});

Route::group(['prefix' => 'terminal', 'middleware' => ['auth:api']], function () {
    Route::get('/', 'Api\TerminalController@index');
    Route::get('/{serviceType}', 'Api\TerminalController@index');
    Route::get('/id/{id}', 'Api\TerminalController@show');
    Route::post('/', 'Api\TerminalController@store');
    //Route::post();
});

Route::group(['prefix' => 'event', 'middleware' => ['auth:api']], function () {
    //Route::get('/', 'Api\ServiceLogController@index');
    Route::get('/service/{serviceType}', 'Api\ServiceLogController@index');
    Route::get('/service/{serviceType}/csv', 'Api\ServiceLogController@index');
    Route::get('/service/{serviceType}/open', 'Api\ServiceLogController@open');
    Route::get('/service/{serviceType}/batch/{user}', 'Api\ServiceLogController@batch');
    Route::get('/service/{serviceType}/stop/batch/', 'Api\ServiceLogController@stopBatch');
    Route::get('/service/{serviceType}/recent/audit', 'Api\ServiceLogController@recentAudits');
    Route::get('/service/{serviceType}/requests', 'Api\ServiceLogController@requests');
    Route::get('/{id}', 'Api\ServiceLogController@show');
    Route::post('/', 'Api\ServiceLogController@store');
    Route::put('/{id}', 'Api\ServiceLogController@update');
    Route::delete('/{id}', 'Api\ServiceLogController@destroy');
    Route::get('/service/{serviceType}/stats', 'Api\ServiceLogController@stats');
});

Route::post('/event/upload/{id}', 'Api\ServiceLogController@upload');

Route::group(['prefix' => 'user'], function () {
    Route::get('/{id}', 'Api\UserController@show')->middleware('auth:api');
    Route::get('/exists/{id}', 'Api\UserController@exists');
    Route::get('/token/{id}', 'Api\UserController@token');
});


Route::get('/schedule/export', 'Api\ScheduleController@asCsv');
Route::group(['prefix' => 'schedule', 'middleware' => ['auth:api']], function () {
    Route::get('/service/trm', 'Api\ScheduleController@index');
    Route::get('/compliance/terminal/{terminal}', 'Api\ScheduleController@compliance');
    Route::get('/compliance/terminal/{terminal}/all', 'Api\ScheduleController@complianceAll');
    Route::get('/{id}', 'Api\ScheduleController@show');
    Route::get('/find/{fleet_id}/{task_id}', 'Api\ScheduleController@byFleetTask');
    Route::get('/fleet/{id}', 'Api\ScheduleController@byFleet');
    Route::put('/cycle/{id}', 'Api\ScheduleController@cycle');
    Route::put('/update/{id}', 'Api\ScheduleController@update');

    //Route::get('/by/{filter}/id/{id}', 'Api\ScheduleController@index');
    //Route::get('/service/{serviceType}', 'Api\ScheduleController@index');
    //Route::get('/{filter}/{id}', 'Api\ScheduleController@index');
});

Route::group(['prefix' => 'todo', 'middleware' => ['auth:api']], function () {
    Route::get('/', 'Api\TodoController@index');
    Route::post('/add', 'Api\TodoController@store');
    Route::delete('/{id}', 'Api\TodoController@destroy');
});

Route::group(['prefix' => 'geo', 'middleware' => ['auth:api']], function () {
    Route::post('/add', 'Api\GeoController@store');
});

Route::group(['prefix' => 'barcode', 'middleware' => ['auth:api']], function () {
    Route::get('/{id}/get-fleet-id', 'Api\BarcodeController@fleetId');
    Route::post('/register', 'Api\BarcodeController@register');
    Route::post('/attach', 'Api\BarcodeController@store');

    Route::get('/create-from-fleet/{key}/{id}/{start_at_title}', 'Api\BarcodeController@createFromFleet');
});

Route::post('/register', 'Auth\RegisterController@register');

Route::group(['prefix' => 'totals'], function () {
    Route::get('/service/u/{user_id}/{airline_id}', 'Api\AirlineServiceTotalsController@service');
    Route::get('/service/tasks/{airline_id}/{service_type_id}/{position}', 'Api\AirlineServiceTotalsController@serviceTasks');
    Route::get('/service/group/tasks/{airline_id}/{service_type_id}/{task_group_id}', 'Api\AirlineServiceTotalsController@serviceTasks');
    Route::get('/{airline_id}/{service_type_id}', 'Api\AirlineServiceTotalsController@index');
    Route::get('/{airline_id}/{service_type_id}/html', 'Api\AirlineServiceTotalsController@show');
});

Route::group(['prefix' => 'compliance'], function () {
    Route::get('/service/{airline_id}', 'Api\AirlineServiceComplianceController@service');
    Route::get('/service/tasks/{airline_id}/{service_type_id}/{fleet_ids}/sidebar', 'Api\AirlineServiceComplianceController@show');
    Route::get('/service/group/tasks/{airline_id}/{service_type_id}/{task_group_id}', 'Api\AirlineServiceComplianceController@serviceTasks');
    Route::get('/{airline_id}/{service_type_id}', 'Api\AirlineServiceComplianceController@index');
    Route::get('/{airline_id}/{service_type_id}/html', 'Api\AirlineServiceComplianceController@show');
});

Route::group(['prefix' => 'media'], function () {
    Route::post('/upload', 'Services\UploadMediaService');
    Route::post('/get/{service_log_id}', [\App\Http\Controllers\Api\MediaController::class, 'grouped']);
    Route::get('/response', function() {
        return response()->json(['data' => ['id' => 456]], 200);
    });
});
