<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    //return view('welcome');
});

Route::get('/jobs', 'SetTasksByJobController@titleToId');

Route::get('/maintenance', 'MigrateMaintenanceController@index');

/*
 * Imprting info from SFTP
 *
 */
Route::get('/import', 'UltiproImportController@index');
Route::get('/ultipro/file/{file}', 'UltiproImportController@getFile');
Route::get('/postimport', 'EmployeeController@postImport');

Route::get('/employee-schedules', 'EmployeeController@employeeSchedules');

Route::get('/mia', 'EmployeeController@mia');
Route::get('/audit/{method}', 'EmployeeController@employeeAudit');

Route::get('/report', 'EmployeeController@reportMailPerUser');

Route::get('/terminate', 'EmployeeController@terminateAll');

Route::get('/mailtest', 'EmployeeController@mailTest');

//Route::get('/free', 'EmployeeController@freeEmployeeNumberOfDeleted');
//Route::get('/deactivate', 'EmployeeController@deactivateUsersNotInCSV');
//Route::get('/fixdeleted', 'EmployeeController@fixDeleted');
//Route::get('/byname', 'EmployeeController@searchByNameInCSV');
//Route::get('/nullnumber', 'EmployeeController@fixNullEmployeeNumber');


Route::group(['prefix' => 'event'], function () {
    Route::get('/service/{serviceType}', 'ServiceLogController@index');
    Route::get('/service/{serviceType}/csv', 'ServiceLogController@index');
});

/*
Route::get('/employee/set', 'EmployeeTempController@setEmployeesFromTemp');
Route::get('/employee/update', 'EmployeeTempController@updateEmployeeFromTemp');

Route::get('/event/service/{serviceType}', 'ServiceLogController@index');
*/

/*
 * Update all airline_ids to be numeric array.
 *
Route::get('/update/airline/json', function(){
	$e = \App\Employee::all();
	$e->each(function($item) {
		$item->airline_ids = json_encode(array_values(array_flip(array_flip((array) json_decode($item->airline_ids)))), JSON_NUMERIC_CHECK);
		$item->save();
	});
	echo 'done';
});
*/

/*
Route::get('/servicelogs/', 'ServiceLogController@index');

Route::get('/servicelog/fix', 'ServiceLogController@fixDates');

Route::get('/fleet/{id}', 'FleetController@show');
Route::get('/fleet/airline/{id}', 'FleetController@index');

Route::get('/service/{serviceType}/stats', 'ServiceLogController@stats');

Route::get('dog', 'ScheduleController@index');

Route::group(['prefix' => 'geo'], function () {
    Route::post('/add', 'Api\GeoController@store');
});
*/

Route::get('/close/all/events', 'Services\CloseEventsService');
Route::get('/close/all/checklist', 'Services\CloseChecklistService');

Route::get('/missing', 'FleetController@missing');

Route::get('/schedule/export', 'Api\ScheduleController@asCsv');


Route::get('/schedule/service/trm', 'ScheduleController@index');

Route::get('/event/service/{serviceType}', 'ServiceLogController@index');



// operations not training
Route::get('/operations', function () {
	$matrix = \App\JobMatrix::all();

	$file = fopen(storage_path('/app/uploads/training-job-matrix-20200822.csv'), 'r');
	$rows = [];

	while ( ($data = fgetcsv($file, 0, ',')) !==FALSE ) {
	    $rows[] = $data;
	}

	$header = $rows[0];
	unset($rows[0]);

	foreach($rows as $row) {
		$csv[$row[2]] = array_combine($header, $row);
	}
	//dd($csv);
	//dd($matrix);

	foreach($matrix as $item) {
		$insert = [
			'type' => 'operations',
			'job' => $item['job'],
		];

		foreach($item['station_ids'] as $station_id) {

			$csvRow = $csv[$station_id];
			$insert['airline_id'] = $csvRow['Airline ID'];
			$insert['station_id'] = $csvRow['Station ID'];
			//dd($csvRow['Airline ID']);
			$availableTasks = $csvRow;
			unset($availableTasks['Station']);
			unset($availableTasks['Station ID']);
			unset($availableTasks['Airline ID']);
			//dd($availableTasks);

			$taskIds = [];

			foreach($item['classes'] as $task) {
				$taskIds[] = $availableTasks[$task];
			}
			$taskIds = array_values(array_filter($taskIds));
			//dd($tasks);
			$insert['task_ids'] = json_encode($taskIds, JSON_NUMERIC_CHECK);
			if (! empty($taskIds)) {
				//\App\TasksByJob::create($insert);
			}
			dd($insert);
		}
	}
});

Route::get('/training', function () {
	$matrix = \App\JobMatrix::all();

	$file = fopen(storage_path('/app/uploads/training-job-matrix-20200822.csv'), 'r');
	$rows = [];

	while ( ($data = fgetcsv($file, 0, ',')) !==FALSE ) {
	    $rows[] = $data;
	}

	$header = $rows[0];
	//unset($header[0]);
	unset($rows[0]);

    //dd($header);

	foreach($rows as $row) {
		//unset($row[0]);
		//unset($row[1]);


		if (! empty($row[1])) {
            $jobTitle = $row[0];
            $stationId = $row[1];
            unset($row[0]);
            unset($row[1]);
            unset($header[0]);
            unset($header[1]);
			$csv[$jobTitle][$stationId] = array_combine($header, $row);
            //dump($csv);
		}
	}

    //dd($csv);

	foreach($csv as $job => $stations) {
		foreach($stations as $station_id => $item) {
			if (! empty($station_id)) {
				$tasks = [];

				$insert = [
					'type' => 'training',
					'station_id' => $station_id,
					'job' => $job,
					'task_ids' => json_encode(array_values(array_filter($item)), JSON_NUMERIC_CHECK),
				];
				//dump($insert);
				\App\TasksByJob::create($insert);
			}
		}
	}
});

Route::get('/training-matrix', function () {
    $file = fopen(storage_path('/app/uploads/training-job-matrix.csv'), 'r');
	$rows = [];
	while ( ($data = fgetcsv($file, 0, ',')) !==FALSE ) {
	    $rows[] = $data;
	}

	$header = $rows[0];

	for($i = 3; count($rows) > $i; $i++) {
		//print_r($rows);
		$row = $rows[$i];
		$classes = [];
		for($z = 2; count($row) > $z; $z++) {
			//print_r($header[$z]);
			if (strtolower($row[$z]) == 'x') {
				$classes[] = $header[$z];
				sort($classes);
			}
		}
		$jobClasses[$row[1]] = $classes;
	}

	foreach($jobClasses as $job => $classes) {
		if (! empty($job)) {
			$insert = [
				'type' => 'training',
				'station_ids' => json_encode([129, 130, 131, 132, 133, 134, 135, 136, 137, 138, 149]),
				'job' => $job,
				'classes' => json_encode($classes),
			];
			//dd($insert);
			\App\JobMatrix::create($insert);
		}
	}
	//dd($jobClasses);
});

